/**
 * http://www.w3.org/2001/XMLSchema#ID
 */
export declare const ID = "http://www.w3.org/2001/XMLSchema#ID";
/**
 * http://www.w3.org/2001/XMLSchema#IDREF
 */
export declare const IDREF = "http://www.w3.org/2001/XMLSchema#IDREF";
/**
 * http://www.w3.org/2001/XMLSchema#ENTITY
 */
export declare const ENTITY = "http://www.w3.org/2001/XMLSchema#ENTITY";
/**
 * http://www.w3.org/2001/XMLSchema#NCName
 */
export declare const NCName = "http://www.w3.org/2001/XMLSchema#NCName";
/**
 * http://www.w3.org/2001/XMLSchema#NMTOKEN
 */
export declare const NMTOKEN = "http://www.w3.org/2001/XMLSchema#NMTOKEN";
/**
 * http://www.w3.org/2001/XMLSchema#Name
 */
export declare const Name = "http://www.w3.org/2001/XMLSchema#Name";
/**
 * The maximum number of decimal digits required to represent a value.
 *
 * http://www.w3.org/2001/XMLSchema#totalDigits
 */
export declare const totalDigits = "http://www.w3.org/2001/XMLSchema#totalDigits";
/**
 * The total number of digits to the right of the decimal point required to represent a value.
 *
 * http://www.w3.org/2001/XMLSchema#fractionDigits
 */
export declare const fractionDigits = "http://www.w3.org/2001/XMLSchema#fractionDigits";
/**
 * A regular expression that matches complete valid literals.
 *
 * http://www.w3.org/2001/XMLSchema#pattern
 */
export declare const pattern = "http://www.w3.org/2001/XMLSchema#pattern";
/**
 * The inclusive upper bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#maxInclusive
 */
export declare const maxInclusive = "http://www.w3.org/2001/XMLSchema#maxInclusive";
/**
 * The exclusive upper bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#maxExclusive
 */
export declare const maxExclusive = "http://www.w3.org/2001/XMLSchema#maxExclusive";
/**
 * The inclusive lower bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#minInclusive
 */
export declare const minInclusive = "http://www.w3.org/2001/XMLSchema#minInclusive";
/**
 * The exclusive lower bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#minExclusive
 */
export declare const minExclusive = "http://www.w3.org/2001/XMLSchema#minExclusive";
/**
 * XML qualified names.
 *
 * http://www.w3.org/2001/XMLSchema#QName
 */
export declare const QName = "http://www.w3.org/2001/XMLSchema#QName";
/**
 * URI reference.
 *
 * http://www.w3.org/2001/XMLSchema#anyURI
 */
export declare const anyURI = "http://www.w3.org/2001/XMLSchema#anyURI";
/**
 * Base64-encoded arbitrary binary data.
 *
 * http://www.w3.org/2001/XMLSchema#base64Binary
 */
export declare const base64Binary = "http://www.w3.org/2001/XMLSchema#base64Binary";
/**
 * http://www.w3.org/2001/XMLSchema#boolean
 */
export declare const boolean = "http://www.w3.org/2001/XMLSchema#boolean";
/**
 * http://www.w3.org/2001/XMLSchema#byte
 */
export declare const byte = "http://www.w3.org/2001/XMLSchema#byte";
/**
 * http://www.w3.org/2001/XMLSchema#date
 */
export declare const date = "http://www.w3.org/2001/XMLSchema#date";
/**
 * http://www.w3.org/2001/XMLSchema#dateTime
 */
export declare const dateTime = "http://www.w3.org/2001/XMLSchema#dateTime";
/**
 * A subset of the real numbers, which can be represented by decimal numerals.
 *
 * http://www.w3.org/2001/XMLSchema#decimal
 */
export declare const decimal = "http://www.w3.org/2001/XMLSchema#decimal";
/**
 * IEEE double-precision 64-bit floating point.
 *
 * http://www.w3.org/2001/XMLSchema#double
 */
export declare const double = "http://www.w3.org/2001/XMLSchema#double";
/**
 * http://www.w3.org/2001/XMLSchema#duration
 */
export declare const duration = "http://www.w3.org/2001/XMLSchema#duration";
/**
 * IEEE single-precision 32-bit floating point.
 *
 * http://www.w3.org/2001/XMLSchema#float
 */
export declare const float = "http://www.w3.org/2001/XMLSchema#float";
/**
 * http://www.w3.org/2001/XMLSchema#gDay
 */
export declare const gDay = "http://www.w3.org/2001/XMLSchema#gDay";
/**
 * http://www.w3.org/2001/XMLSchema#gMonth
 */
export declare const gMonth = "http://www.w3.org/2001/XMLSchema#gMonth";
/**
 * http://www.w3.org/2001/XMLSchema#gMonthDay
 */
export declare const gMonthDay = "http://www.w3.org/2001/XMLSchema#gMonthDay";
/**
 * http://www.w3.org/2001/XMLSchema#gYear
 */
export declare const gYear = "http://www.w3.org/2001/XMLSchema#gYear";
/**
 * http://www.w3.org/2001/XMLSchema#gYearMonth
 */
export declare const gYearMonth = "http://www.w3.org/2001/XMLSchema#gYearMonth";
/**
 * Hex-encoded arbitrary binary data.
 *
 * http://www.w3.org/2001/XMLSchema#hexBinary
 */
export declare const hexBinary = "http://www.w3.org/2001/XMLSchema#hexBinary";
/**
 * http://www.w3.org/2001/XMLSchema#int
 */
export declare const int = "http://www.w3.org/2001/XMLSchema#int";
/**
 * http://www.w3.org/2001/XMLSchema#integer
 */
export declare const integer = "http://www.w3.org/2001/XMLSchema#integer";
/**
 * http://www.w3.org/2001/XMLSchema#language
 */
export declare const language = "http://www.w3.org/2001/XMLSchema#language";
/**
 * http://www.w3.org/2001/XMLSchema#long
 */
export declare const long = "http://www.w3.org/2001/XMLSchema#long";
/**
 * http://www.w3.org/2001/XMLSchema#negativeInteger
 */
export declare const negativeInteger = "http://www.w3.org/2001/XMLSchema#negativeInteger";
/**
 * http://www.w3.org/2001/XMLSchema#nonNegativeInteger
 */
export declare const nonNegativeInteger = "http://www.w3.org/2001/XMLSchema#nonNegativeInteger";
/**
 * http://www.w3.org/2001/XMLSchema#nonPositiveInteger
 */
export declare const nonPositiveInteger = "http://www.w3.org/2001/XMLSchema#nonPositiveInteger";
/**
 * The set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters.
 *
 * http://www.w3.org/2001/XMLSchema#normalizedString
 */
export declare const normalizedString = "http://www.w3.org/2001/XMLSchema#normalizedString";
/**
 * http://www.w3.org/2001/XMLSchema#positiveInteger
 */
export declare const positiveInteger = "http://www.w3.org/2001/XMLSchema#positiveInteger";
/**
 * http://www.w3.org/2001/XMLSchema#short
 */
export declare const short = "http://www.w3.org/2001/XMLSchema#short";
/**
 * A character string.
 *
 * http://www.w3.org/2001/XMLSchema#string
 */
export declare const string = "http://www.w3.org/2001/XMLSchema#string";
/**
 * http://www.w3.org/2001/XMLSchema#time
 */
export declare const time = "http://www.w3.org/2001/XMLSchema#time";
/**
 * The set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.
 *
 * http://www.w3.org/2001/XMLSchema#token
 */
export declare const token = "http://www.w3.org/2001/XMLSchema#token";
/**
 * http://www.w3.org/2001/XMLSchema#unsignedByte
 */
export declare const unsignedByte = "http://www.w3.org/2001/XMLSchema#unsignedByte";
/**
 * http://www.w3.org/2001/XMLSchema#unsignedInt
 */
export declare const unsignedInt = "http://www.w3.org/2001/XMLSchema#unsignedInt";
/**
 * http://www.w3.org/2001/XMLSchema#unsignedLong
 */
export declare const unsignedLong = "http://www.w3.org/2001/XMLSchema#unsignedLong";
/**
 * http://www.w3.org/2001/XMLSchema#unsignedShort
 */
export declare const unsignedShort = "http://www.w3.org/2001/XMLSchema#unsignedShort";
//# sourceMappingURL=xsd.d.ts.map