/**
 * http://www.w3.org/2001/XMLSchema#ID
 */
var ID = 'http://www.w3.org/2001/XMLSchema#ID';
/**
 * http://www.w3.org/2001/XMLSchema#IDREF
 */
var IDREF = 'http://www.w3.org/2001/XMLSchema#IDREF';
/**
 * http://www.w3.org/2001/XMLSchema#ENTITY
 */
var ENTITY = 'http://www.w3.org/2001/XMLSchema#ENTITY';
/**
 * http://www.w3.org/2001/XMLSchema#NCName
 */
var NCName = 'http://www.w3.org/2001/XMLSchema#NCName';
/**
 * http://www.w3.org/2001/XMLSchema#NMTOKEN
 */
var NMTOKEN = 'http://www.w3.org/2001/XMLSchema#NMTOKEN';
/**
 * http://www.w3.org/2001/XMLSchema#Name
 */
var Name = 'http://www.w3.org/2001/XMLSchema#Name';
/**
 * The maximum number of decimal digits required to represent a value.
 *
 * http://www.w3.org/2001/XMLSchema#totalDigits
 */
var totalDigits = 'http://www.w3.org/2001/XMLSchema#totalDigits';
/**
 * The total number of digits to the right of the decimal point required to represent a value.
 *
 * http://www.w3.org/2001/XMLSchema#fractionDigits
 */
var fractionDigits = 'http://www.w3.org/2001/XMLSchema#fractionDigits';
/**
 * A regular expression that matches complete valid literals.
 *
 * http://www.w3.org/2001/XMLSchema#pattern
 */
var pattern = 'http://www.w3.org/2001/XMLSchema#pattern';
/**
 * The inclusive upper bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#maxInclusive
 */
var maxInclusive = 'http://www.w3.org/2001/XMLSchema#maxInclusive';
/**
 * The exclusive upper bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#maxExclusive
 */
var maxExclusive = 'http://www.w3.org/2001/XMLSchema#maxExclusive';
/**
 * The inclusive lower bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#minInclusive
 */
var minInclusive = 'http://www.w3.org/2001/XMLSchema#minInclusive';
/**
 * The exclusive lower bound of an ordered datatype.
 *
 * http://www.w3.org/2001/XMLSchema#minExclusive
 */
var minExclusive = 'http://www.w3.org/2001/XMLSchema#minExclusive';
/**
 * XML qualified names.
 *
 * http://www.w3.org/2001/XMLSchema#QName
 */
var QName = 'http://www.w3.org/2001/XMLSchema#QName';
/**
 * URI reference.
 *
 * http://www.w3.org/2001/XMLSchema#anyURI
 */
var anyURI = 'http://www.w3.org/2001/XMLSchema#anyURI';
/**
 * Base64-encoded arbitrary binary data.
 *
 * http://www.w3.org/2001/XMLSchema#base64Binary
 */
var base64Binary = 'http://www.w3.org/2001/XMLSchema#base64Binary';
/**
 * http://www.w3.org/2001/XMLSchema#boolean
 */
var boolean = 'http://www.w3.org/2001/XMLSchema#boolean';
/**
 * http://www.w3.org/2001/XMLSchema#byte
 */
var byte = 'http://www.w3.org/2001/XMLSchema#byte';
/**
 * http://www.w3.org/2001/XMLSchema#date
 */
var date = 'http://www.w3.org/2001/XMLSchema#date';
/**
 * http://www.w3.org/2001/XMLSchema#dateTime
 */
var dateTime = 'http://www.w3.org/2001/XMLSchema#dateTime';
/**
 * A subset of the real numbers, which can be represented by decimal numerals.
 *
 * http://www.w3.org/2001/XMLSchema#decimal
 */
var decimal = 'http://www.w3.org/2001/XMLSchema#decimal';
/**
 * IEEE double-precision 64-bit floating point.
 *
 * http://www.w3.org/2001/XMLSchema#double
 */
var double = 'http://www.w3.org/2001/XMLSchema#double';
/**
 * http://www.w3.org/2001/XMLSchema#duration
 */
var duration = 'http://www.w3.org/2001/XMLSchema#duration';
/**
 * IEEE single-precision 32-bit floating point.
 *
 * http://www.w3.org/2001/XMLSchema#float
 */
var float = 'http://www.w3.org/2001/XMLSchema#float';
/**
 * http://www.w3.org/2001/XMLSchema#gDay
 */
var gDay = 'http://www.w3.org/2001/XMLSchema#gDay';
/**
 * http://www.w3.org/2001/XMLSchema#gMonth
 */
var gMonth = 'http://www.w3.org/2001/XMLSchema#gMonth';
/**
 * http://www.w3.org/2001/XMLSchema#gMonthDay
 */
var gMonthDay = 'http://www.w3.org/2001/XMLSchema#gMonthDay';
/**
 * http://www.w3.org/2001/XMLSchema#gYear
 */
var gYear = 'http://www.w3.org/2001/XMLSchema#gYear';
/**
 * http://www.w3.org/2001/XMLSchema#gYearMonth
 */
var gYearMonth = 'http://www.w3.org/2001/XMLSchema#gYearMonth';
/**
 * Hex-encoded arbitrary binary data.
 *
 * http://www.w3.org/2001/XMLSchema#hexBinary
 */
var hexBinary = 'http://www.w3.org/2001/XMLSchema#hexBinary';
/**
 * http://www.w3.org/2001/XMLSchema#int
 */
var int = 'http://www.w3.org/2001/XMLSchema#int';
/**
 * http://www.w3.org/2001/XMLSchema#integer
 */
var integer = 'http://www.w3.org/2001/XMLSchema#integer';
/**
 * http://www.w3.org/2001/XMLSchema#language
 */
var language = 'http://www.w3.org/2001/XMLSchema#language';
/**
 * http://www.w3.org/2001/XMLSchema#long
 */
var long = 'http://www.w3.org/2001/XMLSchema#long';
/**
 * http://www.w3.org/2001/XMLSchema#negativeInteger
 */
var negativeInteger = 'http://www.w3.org/2001/XMLSchema#negativeInteger';
/**
 * http://www.w3.org/2001/XMLSchema#nonNegativeInteger
 */
var nonNegativeInteger = 'http://www.w3.org/2001/XMLSchema#nonNegativeInteger';
/**
 * http://www.w3.org/2001/XMLSchema#nonPositiveInteger
 */
var nonPositiveInteger = 'http://www.w3.org/2001/XMLSchema#nonPositiveInteger';
/**
 * The set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters.
 *
 * http://www.w3.org/2001/XMLSchema#normalizedString
 */
var normalizedString = 'http://www.w3.org/2001/XMLSchema#normalizedString';
/**
 * http://www.w3.org/2001/XMLSchema#positiveInteger
 */
var positiveInteger = 'http://www.w3.org/2001/XMLSchema#positiveInteger';
/**
 * http://www.w3.org/2001/XMLSchema#short
 */
var short = 'http://www.w3.org/2001/XMLSchema#short';
/**
 * A character string.
 *
 * http://www.w3.org/2001/XMLSchema#string
 */
var string = 'http://www.w3.org/2001/XMLSchema#string';
/**
 * http://www.w3.org/2001/XMLSchema#time
 */
var time = 'http://www.w3.org/2001/XMLSchema#time';
/**
 * The set of strings that do not contain the carriage return (#xD), line feed (#xA) nor tab (#x9) characters, that have no leading or trailing spaces (#x20) and that have no internal sequences of two or more spaces.
 *
 * http://www.w3.org/2001/XMLSchema#token
 */
var token = 'http://www.w3.org/2001/XMLSchema#token';
/**
 * http://www.w3.org/2001/XMLSchema#unsignedByte
 */
var unsignedByte = 'http://www.w3.org/2001/XMLSchema#unsignedByte';
/**
 * http://www.w3.org/2001/XMLSchema#unsignedInt
 */
var unsignedInt = 'http://www.w3.org/2001/XMLSchema#unsignedInt';
/**
 * http://www.w3.org/2001/XMLSchema#unsignedLong
 */
var unsignedLong = 'http://www.w3.org/2001/XMLSchema#unsignedLong';
/**
 * http://www.w3.org/2001/XMLSchema#unsignedShort
 */
var unsignedShort = 'http://www.w3.org/2001/XMLSchema#unsignedShort';

var xsdImport = /*#__PURE__*/Object.freeze({
	ID: ID,
	IDREF: IDREF,
	ENTITY: ENTITY,
	NCName: NCName,
	NMTOKEN: NMTOKEN,
	Name: Name,
	totalDigits: totalDigits,
	fractionDigits: fractionDigits,
	pattern: pattern,
	maxInclusive: maxInclusive,
	maxExclusive: maxExclusive,
	minInclusive: minInclusive,
	minExclusive: minExclusive,
	QName: QName,
	anyURI: anyURI,
	base64Binary: base64Binary,
	boolean: boolean,
	byte: byte,
	date: date,
	dateTime: dateTime,
	decimal: decimal,
	double: double,
	duration: duration,
	float: float,
	gDay: gDay,
	gMonth: gMonth,
	gMonthDay: gMonthDay,
	gYear: gYear,
	gYearMonth: gYearMonth,
	hexBinary: hexBinary,
	int: int,
	integer: integer,
	language: language,
	long: long,
	negativeInteger: negativeInteger,
	nonNegativeInteger: nonNegativeInteger,
	nonPositiveInteger: nonPositiveInteger,
	normalizedString: normalizedString,
	positiveInteger: positiveInteger,
	short: short,
	string: string,
	time: time,
	token: token,
	unsignedByte: unsignedByte,
	unsignedInt: unsignedInt,
	unsignedLong: unsignedLong,
	unsignedShort: unsignedShort
});

export { int as A, integer as B, language as C, long as D, ENTITY as E, negativeInteger as F, nonNegativeInteger as G, nonPositiveInteger as H, ID as I, normalizedString as J, positiveInteger as K, short as L, string as M, NCName as N, time as O, token as P, QName as Q, unsignedByte as R, unsignedInt as S, unsignedLong as T, unsignedShort as U, xsdImport as V, IDREF as a, NMTOKEN as b, Name as c, maxExclusive as d, minInclusive as e, fractionDigits as f, minExclusive as g, anyURI as h, base64Binary as i, boolean as j, byte as k, date as l, maxInclusive as m, dateTime as n, decimal as o, pattern as p, double as q, duration as r, float as s, totalDigits as t, gDay as u, gMonth as v, gMonthDay as w, gYear as x, gYearMonth as y, hexBinary as z };
